Skip to navigation

Update the status of a Card User

Deactivate or reactivate an existing Card User. The Card User can not be in the VERIFICATION_PENDING status. When a Card User is deactivated, all cards assigned to the User will become INACTIVE and the Card status changed webhooks will be sent.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Path parameters

cardUserIdstringRequired<=38 characters
A unique ID that is created for the Card User.

Request

This endpoint expects an object.
statusenumRequired
The status to be updated for the Card User.
Allowed values:

Response headers

Content-TypestringOptional

application/json

Request-IdstringOptional
The unique ID for the API request.

Response

Successful operation
cardUserIdstring<=38 characters
A unique ID that is created for the Card User.
statusenum
The status to be updated for the Card User.
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error